# Mantle
A Gnome Shell extension for manual window tiling.
There are also functions for navigating windows and working with multiple monitors.

https://bitbucket.org/brrrenton/mantle

## Window tiling
By default the window tiling functions are bound to "Super" (typically the "Windows" key) + the keypad numbers, e.g. "Super+KP_1" moves the window to the bottom left quadrant.
"Super+KP_5" will maximise the window, and "Super+KP_0" will cycle through unmaximised, centred window sizes, which can be defined in the preferences.
Note that you should avoid using Gnome's standard left/right tiling, because when the window is left/right tiled by Gnome the extension is unable to move the window to another vertically maximised geometry.

### Preferences

#### Split work area into thirds horizontally
This enables splitting the work area into thirds horizontally, which you can cycle through with the shortcut keys.
This might be useful for anyone with an ultrawide monitor.

#### Centred window sizes
This is an list of window sizes, each size is in the format "<width>x<height>" and the sizes are separated by a comma, e.g. "1024x768, 1280x1024".
Any sizes larger than the work area are ignored.
Press enter to apply the change.

#### Merge centred into maximised
Instead of using a separate key for the centred window sizes they can be merged into the maximised key.
They can be cycled through either before or after the maximised tiles.

#### Merge side keys
Instead of using separate corner keys, the left/right quadrants can be merged into the left/right keys.
This might be useful for anyone without a keypad.

#### Window geometry comparison threshold
This changes the threshold for comparing windows geometry when cycling through tiles.
You can increase this if there is a problem with cycling.
Press enter to apply the change.

## Window navigation
The window navigations functions are unbound by default.
There are 4 functions for switching focus in each direction.

### Preferences

#### Switch focus only on current monitor
This limits focus switching to the current monitor only.

#### Forward direction
This determines the forward direction when cycling through overlapping windows.
The default is “Right”, but if you’re used to a right-to-left written language you may prefer “Left”.

## Multiple monitors
There are a few functions for working with multiple monitors.
These are unbound by default.

"Focus next monitor" will shift focus to the most recent window on the next monitor, cycling around.
"Move focused window to next monitor" will move the focused window to the next monitor, cycling around.
There is also a function for focusing the last used window on the current monitor.
